﻿Type=Activity
Version=2.71
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim radcheck As String
	Dim cc As ContentChooser
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Dim btnApply As Button
	Dim btnChoose As Button
	Dim btnDelete As Button
	Dim edtBrand As EditText
	Dim edtDesc As EditText
	Dim edtPatNo As EditText
	Dim edtSize As EditText
	Dim IV2 As ImageView
	Dim RadNo As RadioButton
	Dim RadYes As RadioButton
	
	Dim txtPatNo As String
	
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("edit")

End Sub

Sub add
	btnApply.Text = "Add"
	btnChoose.Text = "Choose Pattern Cover"
	
	edtBrand.Text = ""
	edtBrand.Hint = "McCalls"
	edtDesc.Text = ""
	edtDesc.Hint = "Dress"
	edtPatNo.Text = ""
	edtPatNo.Hint = "M1234"
	edtSize.Text = ""
	edtSize.Hint = "24, RR, 24-RR"
	
	radcheck = "Yes"
End Sub

Sub update
	btnApply.Text = "Update"
	btnChoose.Text = "Update Pattern Cover"
	
	edtBrand.Text	= Main.txtbrand
	edtDesc.Text 	= Main.txtdesc
	edtSize.Text 	= Main.txtsize
	edtPatNo.Text	= Main.txtPatNo
	
	If radcheck = "Yes" Then
		RadYes.Checked = True
	Else
		RadNo.Checked = True
	End If
	
End Sub


Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub RadYes_CheckedChange(Checked As Boolean)
	If RadYes.Checked = True Then
		radcheck = "Yes"
	End If
End Sub
Sub RadNo_CheckedChange(Checked As Boolean)
	If RadNo.Checked = True Then
		radcheck = "No"
	End If
End Sub
Sub btnDelete_Click
	
End Sub
Sub btnChoose_Click
	cc.Initialize("CC")
	cc.Show("image/*","Choose image")
End Sub

Sub cc_Result (Success As Boolean, Dir As String, FileName As String)
	Dim bmp As Bitmap
	Msgbox("Success: " & Success,"Done")
	Try
		bmp = LoadBitmapSample("",GetPathFromContentResult(FileName),300,300)
		If bmp.Width>bmp.Height Then
			Dim rbmp As RSImageProcessing
			IV2.Bitmap = rbmp.rotateBitmap(bmp, 90)
		Else
			IV2.Bitmap = bmp
		End If
	Catch
		Msgbox("Please select an image file", "")
	End Try
End Sub

Sub btnApply_Click
	If edtBrand.Text = "" OR edtDesc.Text = "" OR edtPatNo.Text = "" OR edtSize.Text = "" Then
		ToastMessageShow("Information missing", True)
	Else
		Select btnApply.Text
			Case "Add"
				txtPatNo = edtPatNo.Text.Trim
				'grab the last id number which is the highest number
				Main.cursor1 = Main.sql1.ExecQuery("SELECT ID FROM pattern")
				If Main.cursor1.RowCount > 0 Then
					For i = 0 To Main.cursor1.RowCount - 1
						Main.cursor1.Position = i
						Dim newID As Int
						newID = Main.cursor1.GetInt("ID")
					Next
				End If
				newID = newID +1 ' add 1 to the id number to make new field
				Main.sql1.ExecNonQuery("INSERT INTO pattern VALUES('" & newID & _ 
														        "','" & edtBrand.Text & _
																"','" & edtDesc.Text & _
																"','" & edtSize.Text & _
																"','" & radcheck & _
																"','" & edtPatNo.Text & _
																"','" & Null & _ 'path to image not yet filled in
																"','" & Null & _ 'extra field
																"')")
				
			Case "Update"
				Main.sql1.ExecNonQuery("UPDATE pattern set brand ='"& edtBrand.Text & _
													   "', desc ='"& edtDesc.Text & _
													   "', num ='"& edtPatNo.Text & _
													   "', size ='"& edtSize.Text & _
													   "' WHERE ID = '" & Main.intID & "'")
		End Select
		Activity.Finish
		CallSubDelayed(Main, "layout")
	End If
	
	
End Sub

Sub patternexist
	Dim query As String
	query = "SELECT * FROM pattern WHERE num ='" & edtPatNo.Text & "'"
	Main.cursor1 = Main.sql1.ExecQuery(query)
	If Main.cursor1.RowCount > 0 Then
		ToastMessageShow("This pattern already exist", True)
		Return True
	Else
		Return False
	End If
End Sub

Sub GetPathFromContentResult(UriString As String) As String
    If UriString.StartsWith("/") Then Return UriString 'If the user used a file manager to choose the image
    Dim Proj() As String
    Proj = Array As String("_data")
    Dim Cursor As Cursor
    Dim r As Reflector
    Dim Uri As Object
    Uri = r.RunStaticMethod("android.net.Uri", "parse", _
        Array As Object(UriString), _
        Array As String("java.lang.String"))
    r.Target = r.GetContext
    r.Target = r.RunMethod("getContentResolver")
    Cursor = r.RunMethod4("query", _
    Array As Object(Uri, Proj, Null, Null, Null), _
    Array As String("android.net.Uri", _
        "[Ljava.lang.String;", "java.lang.String", _
        "[Ljava.lang.String;", "java.lang.String"))
    
    Cursor.Position = 0
    Dim res As String
    res = Cursor.GetString("_data")
    Cursor.Close
    Return res
End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean 'Return True to consume the event
	
End Sub
